/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.action.internal;

import java.util.Collections;

import org.junit.Test;
import org.xwiki.action.Action;
import org.xwiki.resource.Resource;

import static org.mockito.Mockito.mock;

/**
 * Unit tests for {@link org.xwiki.action.internal.DefaultActionChain}.
 *
 * @version $Id: 5ae4ff3d4a2dfe395de6f7dea0f82fed13767bbe $
 * @since 6.1M1
 */
public class DefaultActionChainTest
{
    @Test
    public void executeNextWhenNoMoreAction() throws Exception
    {
        DefaultActionChain chain = new DefaultActionChain(Collections.<Action>emptyList());

        chain.executeNext(mock(Resource.class));
    }
}
